Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225189 - cfengine 2.1.22 released - fixes bug
Summary: cfengine 2.1.22 released - fixes bug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cfengine
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Sheltren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 17:55 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.1.22-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 10:27:56 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-01-29 17:55:38 UTC
Description of problem:

cfengine 2.1.22 is out and should fix a very annoying bug in 2.1.21 that causes
it to leave .cfsaved files scattered around.  I'm eager to see this released for
FC5+.  Let me know if you need any help testing.

Comment 1 Jeff Sheltren 2007-01-29 18:54:02 UTC
Hi Orion, yes, I saw the announcement for the new version of cfengine.  I've
just built the latest version for FC5 and FC6 if you want to give it a try.  I
plan on testing it for a couple more days before building it for extras.  Until
then, you can grab the FC5/FC6 versions and the SRPM here if you are interested:
http://www.cs.ucsb.edu/~jeff/extras/

Comment 2 Orion Poplawski 2007-01-29 19:14:36 UTC
I'll test them out, thanks.

Also, I think it make sense to do a "service <> condrestart" in the %postun
sections for the services

Something like:

%postun
test "$1"  = 0 || /sbin/service cfservd condrestart >/dev/null || :


Comment 3 Jeff Sheltren 2007-02-01 10:27:56 UTC
These have been built and released under the extras build system.  I'll check
out the condrestart stuff for the next update, thanks for pointing that out.


Note You need to log in before you can comment on or make changes to this bug.